Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class CoyotePrincipal

    java.lang.Object
      org.apache.catalina.connector.CoyotePrincipal

All Implemented Interfaces:
  Serializable, Principal

    public class CoyotePrincipal

extends Object
implements Principal, Serializable

Generic implementation of java.security.Principal that is used to represent principals authenticated at the protocol handler level.

Version:
  $Id: CoyotePrincipal.java 1200174 2011-11-10 06:12:08Z kkolinko $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected String` | `name` The username of the user represented by this Principal.

Constructor Summary
`CoyotePrincipal(String name)`

Method Summary
`String` | `getName()`
`String` | `toString()` Return a String representation of this object, which exposes only information that should be public.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Field Detail

### name

    protected String name

  The username of the user represented by this Principal.

Constructor Detail

### CoyotePrincipal

    public CoyotePrincipal(String name)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

### toString

    public String toString()

  Return a String representation of this object, which exposes only information that should be public.

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.